Update payment

This endpoint validates the input and updates a payment, which will result in a 200 OK successful response, with the updated payment in the response.

Path Params
string
required

The unique identifier of the payment.

Query Params
string

To perform an idempotent request, provide the idempotency_key query parameter with the request. An idempotency key is a unique value generated by the client which the platform uses to recognize subsequent retries of the same request. How you create unique keys is up to you, but we suggest using a V4 UUID, or another random string with enough entropy to avoid collisions. Idempotency keys can be up to 255 characters long.

Body Params
string
required

Must be a UUID. The unique identifier of the payment.

string
enum
required

The status to which to create the payment.

Allowed:
string

Required if status is failed. A description of the reason the payment failed.

string
enum

The additional action to perform when processing a failed payment. block_payment_method: Set the payment method's verification status to blocked, and do not generate a retry. block_retry: Do not generate a retry payment (even if enabled in the product module settings). allow_retry: Generate a retry payment (if enabled in the product module settings). Note: The payment method will be blocked after 4 consecutive failed payments regardless. See the billing settings guide for more details on the number of consecutive payments allowed. This field will be required if status is failed, forbidden otherwise.

Allowed:
string

The failure error code. Required if status is failed.

Response

Language
Credentials
Basic
base64
:
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json